# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: gdal
  version: 3.6.0
source:
  patches:
    - 0001-Improve-numpy-fixing.patch
    - 0002-Parquet-make-sure-that-ArrowLayer-destructor-is-avai.patch
  sha256: f7afa4aa8d32d0799e011a9f573c6a67e9471f78e70d3d0d0b45b45c8c0c1a94
  url: http://download.osgeo.org/gdal/3.6.0/gdal-3.6.0.tar.xz
build:
  number: 1
  skip_compile_pyc:
    - share/bash-completion/completions/*.py
  string: py37h0310695_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.18.1 h2f4d8fa_0
    - ca-certificates 2023.01.10 hd43f75c_0
    - cmake 3.22.1 h984d34b_0
    - expat 2.4.9 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.19.4 ha2725d6_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 7.87.0 h79326fa_0
    - libedit 3.1.20221030 h998d150_0
    - libev 4.33 hfd63f10_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hb87466c_0
    - libssh2 1.10.0 ha9ffb65_0
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.44.2 h998d150_0
    - lz4-c 1.9.4 h419075a_0
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - openssl 1.1.1t h2f4d8fa_0
    - rhash 1.4.1 hcd09bdd_1
    - sysroot_linux-aarch64 2.26 h4744778_14
    - xz 5.2.10 h998d150_1
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.2 hfcb3217_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - blas 1.0 openblas
    - blosc 1.21.3 h419075a_0
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.18.1 h2f4d8fa_0
    - ca-certificates 2023.01.10 hd43f75c_0
    - certifi 2022.12.7 py37hd43f75c_0
    - cfitsio 3.470 hb113702_7
    - expat 2.4.9 h419075a_0
    - freexl 1.0.6 h2f4d8fa_0
    - geos 3.8.0 h22f4aa5_1
    - geotiff 1.7.0 h8ad8837_0
    - giflib 5.2.1 h998d150_3
    - hdf4 4.2.13 h96bad59_4
    - hdf5 1.10.6 h8b20701_1
    - icu 68.1 h22f4aa5_0
    - jpeg 9e h2f4d8fa_0
    - krb5 1.19.4 ha2725d6_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - lerc 3.0 h22f4aa5_0
    - libcurl 7.87.0 h79326fa_0
    - libdeflate 1.17 h998d150_0
    - libedit 3.1.20221030 h998d150_0
    - libev 4.33 hfd63f10_1
    - libffi 3.4.2 h419075a_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgdal 3.6.0 hbb0fda7_1
    - libgfortran-ng 11.2.0 h6e398d7_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libiconv 1.16 h2f4d8fa_2
    - libnghttp2 1.46.0 hb87466c_0
    - libopenblas 0.3.21 hc2e42e2_0
    - libpng 1.6.37 h241ca14_0
    - libssh2 1.10.0 ha9ffb65_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.5.0 h419075a_2
    - libwebp-base 1.2.4 h998d150_1
    - libxml2 2.9.14 he30c317_0
    - lz4-c 1.9.4 h419075a_0
    - ncurses 6.4 h419075a_0
    - numpy 1.16.6 py37h125e47f_4
    - numpy-base 1.16.6 py37hdcdd103_4
    - openjpeg 2.3.0 h6ad72d0_2
    - openssl 1.1.1t h2f4d8fa_0
    - pip 22.3.1 py37hd43f75c_0
    - proj 6.2.1 h465d533_0
    - python 3.7.16 h89984f6_0
    - readline 8.2 h998d150_0
    - setuptools 65.6.3 py37hd43f75c_0
    - sqlite 3.40.1 hf533066_0
    - tk 8.6.12 h241ca14_0
    - wheel 0.38.4 py37hd43f75c_0
    - xz 5.2.10 h998d150_1
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.2 hfcb3217_0
  run:
    - blosc >=1.21.3,<2.0a0
    - cfitsio >=3.470,<3.471.0a0
    - expat >=2.4.9,<3.0a0
    - freexl >=1.0.6,<2.0a0
    - geos >=3.8.0,<3.8.1.0a0
    - geotiff >=1.7.0,<1.8.0a0
    - giflib >=5.2.1,<5.3.0a0
    - hdf4 >=4.2.13,<4.2.14.0a0
    - hdf5 >=1.10.6,<1.10.7.0a0
    - libgcc-ng >=11.2.0
    - libgdal 3.6.0 hbb0fda7_1
    - libiconv >=1.16,<2.0a0
    - libstdcxx-ng >=11.2.0
    - libxml2 >=2.9.14,<2.10.0a0
    - numpy >=1.16.6,<2.0a0
    - openjpeg >=2.3.0,<3.0a0
    - openssl >=1.1.1t,<1.1.2a
    - python >=3.7,<3.8.0a0
test:
  about:
    license: MIT
    license_family: MIT
    license_file: LICENSE.TXT
    summary: Python wrapper for the Geospatial Data Abstraction Library (GDAL)
  commands:
    - python run_test.py
  files:
    - extra_tests.py
    - run_test.py
    - test_data
  imports:
    - osgeo
    - osgeo._gdal
    - osgeo._gdalconst
    - osgeo._ogr
    - osgeo._osr
    - osgeo.gdal
    - osgeo.ogr
about:
  description: 'GDAL is a translator library for raster and vector geospatial data
    formats that is released under an

    X/MIT style Open Source license by the Open Source Geospatial Foundation.

    '
  dev_url: https://github.com/OSGeo/gdal
  doc_url: https://gdal.org/tutorials/index.html
  home: http://www.gdal.org
  license: MIT
  license_family: MIT
  license_file: LICENSE.TXT
  summary: The Geospatial Data Abstraction Library (GDAL)
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 8eacf301-43b1-4a84-bcae-030bcae50f44
  recipe-maintainers:
    - akrherz
    - gillins
    - katietz
    - kmuehlbauer
    - mingwandroid
    - msarahan
    - ocefpaf
    - xylar
    - zklaus
  remote_url: git@github.com:AnacondaRecipes/gdal-feedstock.git
  sha: 632a5860ec73f82fc141708bce3ce897272581b1
